.reviews {
    background: $gray;
    padding: rem(40) 0;

    &__heading {
        margin-bottom: rem(4);
    }

    &__group {

        &:not(:last-child) {
            margin-bottom: rem(30);
        }
    }

    &__main {
        margin: 0 auto;
        position: relative;
    }

    &__comments {
        width: 260px;
        height: 446px;
        margin: 0 auto;
        position: relative;
    }

    &__videos {
        width: 260px;
        height: 472px;
        margin: 0 auto;
        position: relative;
    }

    &__nav {
        z-index: 50;
        top: calc(50% - 18px);
        position: absolute;

        &--prev {
            left: 0;
        }

        &--next {
            right: 0;
        }
    }

    .swiper {
        //    overflow: visible;
    }

    .swiper-wrapper {

    }

    .swiper-slide {
        padding: 10px;
        height: calc((100%) / 2) !important;
    }

    .swiper-slide-active {
        opacity: 1;
        visibility: visible;
    }

    @include media-breakpoint-up(sm) {

        &__comments {
            width: 520px;
            height: auto;
        }

        &__videos {
            width: 520px;
            height: auto;
        }

        &__nav {

            &--prev {
                left: -40px;
            }

            &--next {
                right: -40px;
            }
        }

        .swiper-slide {
            height: auto;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(80) 0 rem(50) 0;

        &__heading {
            margin-bottom: rem(36);
        }

        &__comments {
            width: 640px;
        }

        &__videos {
            width: 640px;
        }

        &__group {

            &:not(:last-child) {
                margin-bottom: rem(50);
            }
        }

        &__nav {
            top: calc(50% - 44px);

            &--prev {
                left: -16px;
            }

            &--next {
                right: -16px;
            }
        }

        .swiper-slide {
            padding: 10px 15px 30px 15px;
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            width: rem(850);
        }

        &__comments {
            width: 652px;
        }

        &__videos {
            width: 652px;
        }

        &__nav {

            &--prev {
                left: 0;
            }

            &--next {
                right: 0;
            }
        }

        .swiper-slide {
            padding: 10px 18px 30px 18px;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(130) 0 rem(108) 0;

        &__main {
            width: 100%;
        }

        &__comments {
            width: 978px;
        }

        &__videos {
            width: 978px;
        }

        &__group {

            &:not(:last-child) {
                margin-bottom: rem(70);
            }
        }
    }
}

.feedback-item {
    height: rem(203);
    display: block;
    overflow: hidden;
    background: $white;
    border-radius: rem(8);
    padding-bottom: rem(10);
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.05);

    &__header {
        padding: rem(14) rem(20);
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
    }

    &__logo {
        display: block;
        width: rem(72);
        height: rem(44);
    }

    &__title {
        font-weight: 700;
        font-size: rem(12);
        line-height: rem(18);
        margin-bottom: rem(8);
    }

    &__main {
       padding: 0 rem(20) rem(10) rem(20);
    }

    @include media-breakpoint-up(sm) {
        height: 100%;
    }

    @include media-breakpoint-up(md) {
        box-shadow: 5px 15px 15px rgba(0, 0, 0, 0.05);
    }
}

.rating {
    font-size: 0;
    line-height: 0;
    display: flex;
    align-items: center;

    &__value {
        top: 1px;
        color: $dark;
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(16);
        margin-right: rem(4);
        position: relative;
    }

    &__stars {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        display: flex;
        align-items: center;
    }

    &__star {
        height: 100%;
        display: inline-block;

        &:not(:last-child) {
            margin-right: rem(1)
        }
    }

    &--sm {

        .rating {

            &__star {
                height: rem(12);
            }
        }
    }
}

.feedback-video {
    height: 100%;
    color: $dark;
    overflow: hidden;
    font-size: rem(12);
    line-height: rem(16);
    border-radius: 8px;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    fill: rgba(255,255,255,0.8);
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.05);

    &:hover {
        color: $dark;
        text-decoration: none;
        box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.05);
    }

    &__media {
        font-size: 0;
        line-height: 0;
        display: block;
        position: relative;
    }

    &__icon {
        top: calc(50% - 27px);
        left: calc(50% - 27px);
        z-index: 5;
        width: 54px;
        height: 54px;
        display: block;
        border-radius: 50%;
        position: absolute;
    }

    &__content {
        flex-grow: 1;
        font-style: normal;
        background: $white;
        padding: rem(11) rem(12);
    }

    &__name {
        font-weight: 500;
        display: block;
        max-width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        margin-bottom: rem(4);
    }

    &__title {
        display: block;
        font-weight: 700;
        max-width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        margin-bottom: rem(4);
    }

    &__date {
        font-weight: 500;
        display: block;
        max-width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(16);
        line-height: rem(18);
        box-shadow: 5px 15px 15px rgba(0, 0, 0, 0.05);

        &:hover {
            color: $dark;
            text-decoration: none;
            box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.05);
        }

        &__content {
            padding: rem(13) rem(15);
        }

        &__name {
            margin-bottom: rem(6);
        }

        &__title {
            margin-bottom: rem(6);
        }
    }

    @include media-breakpoint-up(xl) {
    }
}

.comment-item {

    &__header {
        display: flex;
        align-items: center;
        margin-bottom: rem(8);
    }

    &__photo {
        width: rem(32);
        height: rem(32);
        overflow: hidden;
        border-radius: 50%;
    }

    &__info {
        padding-left: rem(8);
    }

    &__author {
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: calc(100% - 40px);
        font-weight: 700;
        font-size: rem(11);
        line-height: rem(14);
    }

    &__meta {
        display: flex;
        align-items: center;
    }

    &__date {
        color: rgba(0,0,0,0.7);
        font-size: rem(11);
        line-height: rem(12);
        margin-left: rem(8);
        white-space: nowrap;
    }

    &__body {
        overflow: hidden;
        text-overflow: ellipsis;
        max-height: rem(80);
        font-weight: 500;
        font-size: rem(10);
        line-height: rem(13);
    }

    @include media-breakpoint-up(md) {

        &__body {
            max-height: inherit;
            font-size: rem(11);
            line-height: rem(15);
        }
    }
}
